formulas(sos).

% Sorting on WorldAt
all x all d (WorldAt(x,d) -> Object(x) & Point(d)).

% Definition of WorldAt
all x all d ((Object(x) & Point(d)) -> (WorldAt(x,d) <-> (SituationAt(x,d) & (exists d2 (Point(d2) & (all p (Proposition(p) -> (TrueInAt(p,x,d2) <-> True(p,d2))))))))).

% Logical Theorem (Corollary to Lemma 2): TrueInAt(p,x,d) is rigid.
all x all p ((Object(x) & Proposition(p)) ->
 ((exists d (Point(d) & TrueInAt(p,x,d))) -> (all d (Point(d) -> TrueInAt(p,x,d))))).

% Logical Axiom: W is a Distinguished Point.
Point(W).

% Definition of Possibly True
all p (PossiblyTrue(p) <-> (exists d (Point(d) & True(p,d)))).

% Definition of World(x)
all x (World(x) <-> WorldAt(x,W)).

% Definition of TrueIn
all x all p (TrueIn(p,x) <-> TrueInAt(p,x,W)).

end_of_list.

